result.h File Reference

Encapsulation of the result of a query. More...

`#include "cvc4_public.h"`
`#include <iostream>`
`#include <string>`
`#include "util/exception.h"`
Include dependency graph for result.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CVC4::Result
| Three-valued SMT result, with optional explanation. More...

## Namespaces

namespace | CVC4

## Functions

std::ostream & | CVC4::operator<< (std::ostream &out, const Result &r)
std::ostream & | CVC4::operator<< (std::ostream &out, enum Result::Sat s)
std::ostream & | CVC4::operator<< (std::ostream &out, enum Result::Validity v)
std::ostream & | CVC4::operator<< (std::ostream &out, enum Result::UnknownExplanation e)
bool | CVC4::operator== (enum Result::Sat s, const Result &r) throw ()
bool | CVC4::operator== (enum Result::Validity v, const Result &r) throw ()
bool | CVC4::operator!= (enum Result::Sat s, const Result &r) throw ()
bool | CVC4::operator!= (enum Result::Validity v, const Result &r) throw ()

## Detailed Description

Encapsulation of the result of a query.

    ** Original author: Morgan Deters
    ** Major contributors: none
    ** Minor contributors (to current version): Tim King
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

Encapsulation of the result of a query.

Definition in file result.h.